Name:           perl-Fedora-App-ReviewTool
Version:        0.04
Release:        3%{?dist}
Summary:        Application classes for reviewtool 
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://camelus.fedorahosted.org
Source0:        http://fedorahosted.org/releases/c/a/camelus/Fedora-App-ReviewTool-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)

# not automagically picked up
Requires:       perl(MooseX::App::Cmd)
Requires:       perl(MooseX::Log::Log4perl)
Requires:       perl(MooseX::Traits::Attribute::CascadeClear)
Requires:       perl(RPC::XML::Client)
Requires:       koji

# until RHBZ#486752 is resolved (this belongs with Fedora::Bugzilla)
Requires:       perl(MooseX::MultiInitArg)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(MooseX::App::Cmd)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Traits::Attribute::CascadeClear)
BuildRequires: perl(MooseX::Traits::Attribute::CascadeClearMaster)
BuildRequires: perl(MooseX::Types::DateTime)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Crypt::OpenSSL::X509)
BuildRequires: perl(Data::Section)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::Prompt)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Readonly)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Template)
BuildRequires: perl(Term::ProgressBar)
BuildRequires: perl(Term::Size)
BuildRequires: perl(Text::SimpleTable)
BuildRequires: perl(URI::Fetch)
BuildRequires: perl(URI::Find)

%description
Application classes for reviewtool.  For the actual application, please
install the 'reviewtool' package.

%package -n reviewtool
License:    LGPLv2+ 
Group:      Development/Libraries
Summary:    Make submitting and reviewing packages less painful
URL:        http://fedoraproject.org/wiki/ReviewTool
Requires:   %{name} = %{version}-%{release}

%description -n reviewtool
reviewtool is designed to help automate some of the more mundane bits of
posting a package for review.  It handles everything from running koji scratch
builds, pushing specs/srpms to a publically accessible space (e.g.
fedorapeople.org), tracking status, to creating and updating review bugs.   It
does not rely on any external tools, aside from the standard Fedora
infrastructure resources available to any packager:  fedorapeople.org,
Bugzilla, and Koji.

It's also possible to use reviewtool to assist from the reviewer side of the
process.  One can take, pull down specs/srpms, kick off scratch builds, check
upstream, generate a review template, etc.  Right now this functionality is
not included, but is being actively worked on.

reviewtool does NOT try to take the human out of the review process.  It
simply tries to hide the routine, common parts of submitting and reviewing
packages.



%prep
%setup -q -n Fedora-App-ReviewTool-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%files -n reviewtool
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Mon Feb 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.04-3
- require MooseX::MultiInitArg until RHBZ#486752 is resolved

* Wed Feb 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- add MooseX::App::Cmd, RPC::XML::Client as explicit requires; rpm doesn't
  pick up Moose syntax yet ('with', 'extends', etc)

* Fri Feb 06 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- update to 0.04 -- note this drops all the incomplete "reviewer" bits

* Wed Jan 21 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03-0.2
- add MooseX::Log::Log4perl (rpm doesn't pick up Moose req/prov automagically
  yet)

* Mon Jan 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03-0.1
- add koji as a require
- update to 0.03

* Mon Jan 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.02-0.2
- add a requires on  perl(MooseX::Traits::Attribute::CascadeClear)

* Mon Jan 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.02-0.1
- up to 0.02 (one minor bugfix)

* Mon Jan 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.01-0.1
- initial packaging
